com.lowagie.text.pdf

## Class CFFFont.RangeItem

- java.lang.Object
- - com.lowagie.text.pdf.CFFFont.Item
  - - com.lowagie.text.pdf.CFFFont.RangeItem

- Enclosing class:
    CFFFont

      protected static final class CFFFont.RangeItem
      extends CFFFont.Item

  A range item.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private RandomAccessFileOrArray` | `buf`
    `int` | `length`
    `int` | `offset`

    - ### Fields inherited from class com.lowagie.text.pdf.CFFFont.Item

      `myOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFFFont.RangeItem(RandomAccessFileOrArray buf, int offset, int length)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emit(byte[] buffer)` Emit the byte stream for this item.
    `void` | `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.

    - ### Methods inherited from class com.lowagie.text.pdf.CFFFont.Item

      `xref`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          public int offset

    - #### length

          public int length

    - #### buf

          private RandomAccessFileOrArray buf

  - ### Constructor Detail

    - #### CFFFont.RangeItem

          public CFFFont.RangeItem(RandomAccessFileOrArray buf,
                           int offset,
                           int length)

  - ### Method Detail

    - #### increment

          public void increment(int[] currentOffset)

      Description copied from class: `CFFFont.Item`
      remember the current offset and increment by item's size in bytes.
      Overrides:
        `increment` in class `CFFFont.Item`

    - #### emit

          public void emit(byte[] buffer)

      Description copied from class: `CFFFont.Item`
      Emit the byte stream for this item.
      Overrides:
        `emit` in class `CFFFont.Item`